aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite')
-rw-r--r--testsuite/testenv.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/testsuite/testenv.sh b/testsuite/testenv.sh
index 086a1f4..fd36439 100644
--- a/testsuite/testenv.sh
+++ b/testsuite/testenv.sh
@@ -1,6 +1,12 @@
# Testsuite environment
+if [ x"$topdir" = x"" ]; then
+ echo "topdir must be defined"
+ exit 1
+fi
+
. $topdir/../utils.sh
+abs_topdir=`pwd`/$topdir
set -e
@@ -9,7 +15,8 @@ if [ x"$GHDL" = x ]; then
fi
if [ x"$YOSYS" = x ]; then
- YOSYS="yosys -m ../../ghdl.so"
+ # Need to use abs_topdir because with sby yosys is executed in a subdir.
+ YOSYS="yosys -m $abs_topdir/../ghdl.so"
fi
if [ x"$SYMBIYOSYS" = x ]; then